function [xaa]= aberace(t,r)
% funkce aberace pocita vliv rocni aberace
% t vyjádřeno v MJD
% r jednotkový vektor ke hvězdě 
% [vx,vy,vz] vektor rychlosti Země [au/den]
t0=51544.5;
dros=180*3600/pi;
dvapi=2*pi;
T = (t-t0)/36525.0;
% lz stredni ekliptikalni delka Zeme
lz=mod(1.7534703+628.3075849*T,dvapi);
% lz stredni ekliptikalni delka Jupiteru
lj=mod(0.5995465+52.9690965*T,dvapi);
% w stredni ekliptikalni delka Mesice
w=mod(3.8103444+8399.6847337*T,dvapi);
vx= ( -17199*sin(lz)+280*cos(2*lz)+64*sin(2*lz)+7*sin(w)+7*sin(lj))*1e-6;
vy= (  15781*cos(lz)+257*sin(2*lz)-59*cos(2*lz)-7*cos(w)-7*cos(lj))*1e-6;
vz= (   6842*cos(lz)+111*sin(2*lz)-26*cos(2*lz)-3*cos(w)-3*cos(lj))*1e-6;
V=sqrt(vx^2+vy^2+vz^2);
% rapex - jednotkovy vektor do apexu
rapex=[vx; vy; vz]/V; 
costh=dot(r,rapex);
crrapex=cross(r,rapex);
sinth=sqrt(dot(crrapex,crrapex));
theta=atan2(sinth,costh);
% 1au/(c*86400) = 0.0057755
Vc=0.0057755*V;
dsin=sin(theta)-sinth;
dth=Vc*sin(theta)+0.25*Vc^2*sin(2*theta);
sthdth=sin(theta-dth);
sdth=sin(dth);
sth=sin(theta);
xaa=[ r rapex]*[sthdth; sdth]/sth;
end
