function [elementy] =elementyzrv(t,polvek,rychl,CT,unitr,unitt)   
   rad=180/pi;
    switch CT
        case 'Ea'
            GM=398600.4405;  %GM pro Zemi km^3s^-2
        case 'Su'
            GM=132712440000;    %GM pro Slunce
        case 'Mo'
            GM=4902.799;     %GM pro Mesic
    end
    switch unitr
        case 'm'
            kunit=1/1000;
        case 'km'
            kunit=1;
        case 'au'
            kunit=149597870;
        case 'ER'
            kunit=6371;
    end
    switch unitt
        case 's'
            kunitt=1;
        case 'min'
            kunitt=60;
        case 'h'
            kunitt=3600;
        case 'day'
            kunitt=86400;
        case 'year'
            kunitt=86400*365.2422;
    end
    tun=t*kunitt;
    r=polvek*kunit;  % vektor r
    v=rychl*kunit/kunitt; % vektor v
    c=cross(r,v); % vektor normaly k rovine drahy
    cc2=dot(c,c);
    cc=sqrt(cc2); % velikost vektoru normaly = 2xplosna rychlost
    Omega=atan2(c(1),-c(2)); % rektascenze vyst. uzlu
    incl=acos(c(3)/cc);  % sklon roviny drahy
    vv2=dot(v,v); 
    vv=sqrt(vv2); % rychlost
    rr2=dot(r,r); % 
    rr=sqrt(rr2); % velikost polohoveho vektoru
    a=1/(2/rr-vv2/GM); % hlavni poloosa
    if ( rr > 2*a) 
        stop Nejaka chyba v zadani neni to keplerovsky pohyb
    end
    esine=dot(r,v)/sqrt(GM*a);
    ecose=1-rr/a;
    e1=sqrt(1-cc2/(a*GM)); % excentricita 1
    e2=sqrt(esine^2+ecose^2); %excentricita 2
    if(abs(e1-e2)>.00001)
        stop 'chybna excentricita'
    end
    e=(e1+e2)/2; % excentricita jako prumer ???
    exanom1=atan2(esine,ecose); % Excentricka anomalie
    pranom1=2*atan(sqrt((1+e)/(1-e))*tan(exanom1/2)); %prava anomalie
    uzl1=[cos(Omega) sin(Omega) 0]; % uzlova primka v rovnikove soustave
    uu2=dot(uzl1,uzl1);
    uu=sqrt(uu2); % a jeji velikost by mela byt rovna 1
    vaw=atan2(dot(r,[0 0 1])/sin(incl), dot(r,uzl1)); % v+arg. pericentra
    pranom=atan2(a*sqrt(1-e^2)*sin(exanom1),a*(cos(exanom1)-e));%prava anomalie 2
    if(abs(pranom1-pranom)>10^-6)
        stop 'chybna prava anomalie'
    end
    arg=vaw-pranom;  % argument pericentra
    stanom=exanom1-e*sin(exanom1); % stredni anomalie z Keplerovy rovnice
    uhlrych=sqrt(GM/a^3);
    dtt0=tun-stanom/uhlrych; % cas pruchodu pericentrem 
    if(arg<0) 
        arg=arg+2*pi;
    end
    if (Omega < 0)
        Omega=Omega +2*pi;
    end    
    if (stanom<0)
        stanom=stanom+2*pi;
    end    
    elementy=[a/kunit; e;incl*rad;Omega*rad;arg*rad;dtt0/kunitt;0.];
    end

    


    