
function [N]= nutace(t)
% t is in MJD
t0=51544.5;
dros=180*3600/pi;
dvapi=2*pi;
T = (t-t0)/36525.0;
%Omega   = mean longitude of the lunar ascending node
Omega= 125.04455501 *3600 - 6962890.2665*T + 7.4722*T^2+ 0.007702*T^3 - 0.00005939*T^4;
Omega=mod(Omega/dros,dvapi);
%   D       = mean elongation of the moon from the sun
D = 297.85019547 * 3600 + 1602961601.2090*T - 6.3706*T^2+ 0.006593*T^3 - 0.00003169*T^4;
D=mod(D/dros,dvapi);
%   F       = mean longitude of the moon - Omega
F = 93.27209062 * 3600 + 1739527262.8478*T - 12.7512*T^2 + 0.001037*T^3 + 0.00000417*T^4;
F=mod(F/dros,dvapi);
%   L'      = mean anomaly of the sun
Lp = 357.52910918 * 3600 + 129596581.0481*T - 0.5532*T^2+ 0.000136*T^3 - 0.00001149*T^4;
Lp=mod(Lp/dros,dvapi);
%   L       = mean anomaly of the moon
 L = 134.96340251 *3600 + 1717915923.2178*T + 31.8792*T^2+0.051635*T^3 -0.00024470*T^4;
L=mod(L/dros,dvapi);
%eps 
eps = (84381.448 - 46.8150*T - 0.00059*T^2 +0.001813*T^3)/dros;
%IAU80
   deps   =   ( 9.2025 + 0.00089*T)*cos(Omega) ...
            + ( 0.5736 - 0.00031*T)*cos(2*F-2*D+2*Omega) ...
            + ( 0.0977 - 0.00005*T)*cos(2*F+2*Omega) ...
            + (-0.0895 + 0.00005*T)*cos(2*Omega) ...
            + ( 0.0054 - 0.00001*T)*cos(-Lp) ...
            + (-0.0007 + 0.00000*T)*cos(L) ...
            + ( 0.0224 - 0.00006*T)*cos(Lp+2*(F-D+Omega)) ...
            + ( 0.0200            )*cos(2*F+Omega) ...
            + ( 0.0129 - 0.00001*T)*cos(L+2*(F+Omega)) ...
            + (-0.0095 + 0.00003*T)*cos(-Lp+2*(F-D+Omega)) ...
            + (-0.0001            )*cos(-L+2*D) ...
            + (-0.0070            )*cos(2*F-2*D+Omega) ...
            + (-0.0053            )*cos(-L+2*(F+Omega));
        
   deps=deps/dros;
   
   dpsi   =   (-17.1996- 0.01742*T)*sin(Omega) ...
            + (-1.3187 - 0.00016*T)*sin(2*F-2*D+2*Omega) ...
            + (-0.2274 - 0.00002*T)*sin(2*F+2*Omega) ...
            + ( 0.2062 + 0.00002*T)*sin(2*Omega) ...
            + (-0.1426 + 0.00034*T)*sin(-Lp) ...
            + ( 0.0712 + 0.00001*T)*sin(L) ...
            + (-0.0517 + 0.00012*T)*sin(Lp+2*(F-D+Omega)) ...
            + (-0.0386 - 0.00004*T)*sin(2*F+Omega) ...
            + (-0.0301            )*sin(L+2*(F+Omega)) ...
            + ( 0.0217 - 0.00005*T)*sin(-Lp+2*(F-D+Omega)) ...
            + ( 0.0158            )*sin(-L+2*D) ...
            + ( 0.0129 + 0.00001*T)*sin(2*F-2*D+Omega) ...
            + ( 0.0123            )*sin(-L+2*(F+Omega));
   dpsi=dpsi/dros;

   N = rotmat(1,-eps-deps)*rotmat(3,-dpsi)*rotmat(1,eps);
end
