function [polrych] =rvzelementu(t,elementy,CT,unitr,unitt,presn)
    dx=1/10^presn;
    rad=180/pi;
    switch CT
        case 'Ea'
            GM=398600.4405;  %GM pro Zemi km^3s^-2
        case 'Su'
            GM=132712440000;    %GM pro Slunce
        case 'Mo'
            GM=4902.799;     %GM pro Mesic
    end
    switch unitr
        case 'm'
            kunit=1/1000;
        case 'km'
            kunit=1;
        case 'au'
            kunit=149597870;
        case 'ER'
            kunit=6371;
    end
    switch unitt
        case 's'
            kunitt=1;
        case 'min'
            kunitt=60;
        case 'h'
            kunitt=3600;
        case 'day'
            kunitt=86400;
        case 'year'
            kunitt=86400*365.2422;
    end
    a=elementy(1)*kunit;
    excen=elementy(2);
    incl=elementy(3)/rad;
    Omega=elementy(4)/rad;
    argp=elementy(5)/rad;
    dtt0=elementy(6)*kunitt;
    tun=t*kunitt;
    stranom0=elementy(7)/rad;
    uhlrychl=sqrt(GM/a^3);
    stranom=mod((tun-dtt0)*uhlrychl+stranom0,2*pi);
    Excanom=kepler(stranom,excen,presn);
    re=a*(1-excen*cos(Excanom));
    pranom=2*atan(sqrt((1+excen)/(1-excen))*tan(Excanom/2));
    rv=a*(1-excen^2)/(1+excen*cos(pranom));
    if(abs(re-rv)>dx*10) 
        print 'chyba', rv;
    end
    rvrov=[re*cos(pranom);re*sin(pranom);0];
    rotmatoiw=rotmat(3,-Omega)*rotmat(1,-incl)*rotmat(3,-argp);
    poloha=rotmatoiw*rvrov;
    rychlost=sqrt(GM/(a*(1-excen^2)))*rotmatoiw(:,1:2)*[-sin(pranom);excen+cos(pranom)];
    polrych=[poloha/kunit rychlost/kunit*kunitt];
end

    


    