## Copyright (C) 2021 Cyril Ron
## 
## This program is free software: you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see
## <https://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {} {@var{retval} =} sun (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: Cyril Ron <ron@linux-whth>
## Created: 2021-05-25

function [adr] = sun (mjd)
global outfile;
T=(mjd-51544.5)/36525;
a=1.000001;
L=mod(1.7534703+628.3075849*T-0.0000001*T*T,2*pi);
k=-0.0037408-0.0000823*T+0.0000003*T*T;
h=0.0162845-0.000062*T-0.0000003*T*T;
q=-0.0001135*T+0.0000001*T*T;
p=0.000010*T+0.0000005*T*T;
e=sqrt(k*k+h*h); % excentricita
mom=mod(atan2(h,k)+2*pi,2*pi);  % argument perihelu
i=2*asin(sqrt(q*q+p*p));% sklon drahy
vOm=mod(atan2(p,q)+2*pi,2*pi);  % delka vystupnihu uzlu
stra=mod(L-mom+2*pi,2*pi);  % stredni anomalie
exa=kepler(stra,e,8); % excentricka anomalie
tra=mod(2*atan(sqrt((1+e)/(1-e))*tan(exa/2))+2*pi,2*pi); % prava anomalie 
u=mod(tra+mom-vOm+6*pi,2*pi);   % argument šířky
b=asin(sin(i)*sin(u)); % ekliptikalni šiřka Země
ll=atan(cos(i)*tan(u))+vOm; % ekliptikalni delka Z
ll2=ll;                                            
if (u >= pi/2) && (u <= 1.5*pi)
  ll2=ll+pi;
endif
%b=asin(sin(i)*sin(u)) % ekliptikalni šiřka Země
r=a*(1-e*cos(exa));  % pruvodic
xye=sf2xy(b,ll2,'e'); % pravouhle ekl. souř. Země
%Pr=precese(mjd);  % precesni matice
% ske - sklon ekliptiky ( v radianech)
ske=(23.43929167-0.01300417*T-1.64e-7*T^2+5.036e-7*T^3)/180*pi;
RR=rotmat(1,-ske);
%R=[1 0 0;0 cos(ske) sin(ske); 0 -sin(ske) cos(ske)] % matice ekli-> rovnikovych
rov=RR*xye;  % rovnikove s. Země (- jsou pak souřadnice Slunce)
rovS=-rov;
%rovpr=Pr*rovS;
rovpr=rovS;
sfrovpr=xy2sf(rovpr,'r2'); % prevedeni pravouhlych rovnikovych na sfericke (delta, alfa)
adr=[sfrovpr(2),sfrovpr(1),r];
%fprintf(outfile,'%7d %11.7f %11.7f %11.7f %11.7f\n',mjd,sfrovpr(2)*12/pi,u*12/pi,sfrovpr(1)*180/pi,r)
endfunction

